Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] testing/pbzip2: new aport

Anton Patrushev
Details
Message ID
<1435789648-2762-1-git-send-email-apatrushev@gmail.com>
Sender timestamp
1435789648
DKIM signature
missing
Download raw message
Patch: +31 -0
http://compression.ca/pbzip2/
PBZIP2 is a parallel implementation of the bzip2 block-sorting file compressor.
---
 testing/pbzip2/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/pbzip2/APKBUILD

diff --git a/testing/pbzip2/APKBUILD b/testing/pbzip2/APKBUILD
new file mode 100644
index 0000000..26b5870
--- /dev/null
+++ b/testing/pbzip2/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Anton Patrushev <apatrushev@gmail.com>
+# Maintainer:
+pkgname=pbzip2
+pkgver=1.1
+pkgrel=12
+pkgdesc="pbzip2 is a parallel implementation of the bzip2 block-sorting file compressor."
+url="http://compression.ca/pbzip2/"
+arch="all"
+license="BSD"
+depends="bzip2"
+makedepends="bzip2-dev"
+subpackages=""
+source="https://launchpad.net/pbzip2/$pkgver/$pkgver.$pkgrel/+download/pbzip2-$pkgver.$pkgrel.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver.$pkgrel
+prepare() {
+	local i
+	cd "$_builddir"
+	make || return 1
+}
+
+build() {
+	cd "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX="$pkgdir"/usr install || return 1
+}
+md5sums="91a4911b13305850423840eb0fa6f4f9  pbzip2-1.1.12.tar.gz"
+
-- 
2.4.5



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Carlo Landmeter
Details
Message ID
<CA+cSEmPvEHarPKSDybV8uyWYdUb-MjVsABs53MZ+qAW0Pu9ONw@mail.gmail.com>
In-Reply-To
<1435789648-2762-1-git-send-email-apatrushev@gmail.com> (view parent)
Sender timestamp
1435936596
DKIM signature
missing
Download raw message
Thanks but not committed yet, some comments below.

On 2 July 2015 at 00:27, Anton Patrushev <apatrushev@gmail.com> wrote:

> http://compression.ca/pbzip2/
> PBZIP2 is a parallel implementation of the bzip2 block-sorting file
> compressor.
> ---
>  testing/pbzip2/APKBUILD | 31 +++++++++++++++++++++++++++++++
>  1 file changed, 31 insertions(+)
>  create mode 100644 testing/pbzip2/APKBUILD
>
> diff --git a/testing/pbzip2/APKBUILD b/testing/pbzip2/APKBUILD
> new file mode 100644
> index 0000000..26b5870
> --- /dev/null
> +++ b/testing/pbzip2/APKBUILD
> @@ -0,0 +1,31 @@
> +# Contributor: Anton Patrushev <apatrushev@gmail.com>
> +# Maintainer:
> +pkgname=pbzip2
> +pkgver=1.1
> +pkgrel=12
>

pkgrel should always start at 0. We use it to generate a new package when
version didn't change (ie patches).
pkgver should be set to 1.1.12 which is the actual version.


> +pkgdesc="pbzip2 is a parallel implementation of the bzip2 block-sorting
> file compressor."
> +url="http://compression.ca/pbzip2/"
> +arch="all"
> +license="BSD"
> +depends="bzip2"
>

Why does this depends on bzip2?


> +makedepends="bzip2-dev"
> +subpackages=""
> +source="
> https://launchpad.net/pbzip2/$pkgver/$pkgver.$pkgrel/+download/pbzip2-$pkgver.$pkgrel.tar.gz
> "
>

please update src accordingly


> +
> +_builddir="$srcdir"/$pkgname-$pkgver.$pkgrel
> +prepare() {
> +       local i
>

I guess this is a leftover?


> +       cd "$_builddir"
> +       make || return 1
>

make should be run in build() function.


> +}
> +
> +build() {
> +       cd "$_builddir"
> +}
> +
> +package() {
> +       cd "$_builddir"
> +       make PREFIX="$pkgdir"/usr install || return 1
> +}
> +md5sums="91a4911b13305850423840eb0fa6f4f9  pbzip2-1.1.12.tar.gz"
> +
> --
> 2.4.5
>
>
>
> ---
> Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> Help:         alpine-aports+help@lists.alpinelinux.org
> ---
>
>